debsigs (0.1.24) unstable; urgency=medium

  * Declare compliance with Debian Policy 4.3.0 with no changes.
  * Bump the debhelper compatibility level to 12 with no changes.
  * Add the year 2019 to my debian/* copyright notice.

 -- Peter Pentchev <roam@debian.org>  Wed, 09 Jan 2019 01:39:41 +0200

debsigs (0.1.23) unstable; urgency=medium

  * Declare compliance with Debian Policy 4.2.1 with no changes.
  * Drop the Lintian overrides related to B-D: debhelper-compat -
    Lintian 2.5.98 no longer emits these warnings and errors.

 -- Peter Pentchev <roam@debian.org>  Tue, 18 Dec 2018 11:20:44 +0200

debsigs (0.1.21) unstable; urgency=medium

  * Add "Rules-Requires-Root: no" to the source control stanza.
  * Declare compliance with Debian Policy 4.1.4 with no changes.
  * Bump the build dependency on debhelper to 11 now that it's out and
    use the new B-D: debhelper-compat (= 11) mechanism.
  * Add the year 2018 to my debian/* copyright notice.
  * Use my Debian e-mail address.
  * Add a trivial autopkgtest running adequate on the installed package.

 -- Peter Pentchev <roam@debian.org>  Fri, 18 May 2018 14:28:38 +0300

debsigs (0.1.20) unstable; urgency=medium

  * Add a trivial autopkgtest invocation of the build test suite.
  * Switch the copyright format specification URL to the HTTPS scheme.
  * Bump the year on my debian/* copyright notice.
  * Declare compliance with Debian Policy 4.1.1 with no changes.
  * Bump the debhelper compatibility level to 11 and depend on 10.8~.

 -- Peter Pentchev <roam@ringlet.net>  Fri, 06 Oct 2017 10:24:34 +0300

debsigs (0.1.19) unstable; urgency=medium

  * Bump Standards-Version to 3.9.8 with no changes.
  * Add Multi-Arch: foreign to the binary package.
  * Switch the Vcs-* fields over to my GitLab repository after
    Gitorious shut down.
  * Bump the year on my debian/* copyright notice.
  * Fix the copyright file's GPL-2 blurb to actually refer to
    version 2 of the license.
    Spotted by: Guillem Jover <guillem@debian.org>
  * Update the package version in debsigsmain.pm, it seems that
    I've been forgetting to do that for a while.
  * Remove the Progeny CVS version strings that I commented out in
    0.1.15; the package provenance is recorded in many places, and
    the strings are meaningless as version strings now.
    Suggested by: Guillem Jover <guillem@debian.org>

 -- Peter Pentchev <roam@ringlet.net>  Thu, 21 Apr 2016 12:03:12 +0300

debsigs (0.1.18) unstable; urgency=medium

  * Add support for control.tar, control.tar.xz, data.tar, data.tar.xz,
    data.tar.bz2 and data.tar.lzma.  Closes: #748530
    Submitted by Guillem Jover <guillem@debian.org> (thanks!)
  * Bump Standards-Version to 3.9.5 with no changes.
  * Convert the copyright file to the 1.0 format and bump the year of
    my copyright notice.
  * Remove the source package compression specification, dpkg-dev's
    default is good enough.
  * Shorten the short description of the binary package.
  * Bump the debhelper compatibility level to 9 with no changes.

 -- Peter Pentchev <roam@ringlet.net>  Wed, 11 Jun 2014 16:42:59 +0300

debsigs (0.1.17) unstable; urgency=low

  * Switch to Git and point the Vcs-* fields to Gitorious.
  * Bump Standards-Version to 3.9.1 with no changes.
  * Refresh the copyright file:
    - change "Debian GNU/Linux systems" to "Debian systems"
    - update to the latest version of the DEP 5 candidate format
    - bump the year on my copyright notice
  * Use bzip2 compression for the tarball.
  * Bump the debhelper compatibility level to 8 with no changes.

 -- Peter Pentchev <roam@ringlet.net>  Tue, 01 Mar 2011 13:36:29 +0200

debsigs (0.1.16) unstable; urgency=low

  * Update to the 3.0 (native) source format with no changes.
  * Bump Standards-Version to 3.8.4:
    - remove the version from the Perl build dependency
  * Update the copyright file to the latest revision of DEP 5 and
    bump the year on my copyright notice.

 -- Peter Pentchev <roam@ringlet.net>  Wed, 02 Jun 2010 11:18:57 +0300

debsigs (0.1.15) unstable; urgency=low

  * New maintainer.  Closes: #522257
  * Fix the changelog format by removing the Vim formatting codes.
  * Do not install the empty /usr/sbin directory and remove
    the debian/dirs file altogether.
  * Convert the copyright file to the machine-parseable format and
    add my copyright notice.
  * Bump the debhelper compatibility level to 7:
    - store it in debian/compat
    - use debian/debsigs as the build directory instead of debian/tmp
    - add misc:Depends to the binary package
    - remove the dh_installmanpages invocation, all the manual pages
      are installed by the Perl build framework itself
    - use dh_prep instead of dh_clean in the "install" target
  * Remove the debian/debsigs.undocumented file - both programs listed
    there have already been documented.
  * Bump Standards-Version to 3.8.1:
    - move debhelper to Build-Depends from Build-Depends-Indep
  * Add the Vcs-Svn and Vcs-Browser source control fields.
  * Make the short description a noun phrase.
  * Clean up the rules file:
    - do not ignore "make clean" errors
    - remove some commented-out cruft
    - remove the OPTIMIZE flags to Makefile.PL - no C code here
    - pass -k to dh_clean in the "install" target
    - move some dh_* invocations from the "binary-indep" to the "install"
      target to mimic the behavior of the dh(1) tool
    - remove some dh_* invocations that simply do not apply
    - finally, minimize this file using debhelper 7's dh(1) tool :)
  * Stop debsigs-autosign from always passing key ID's and keyring paths
    to debsigs; gpg is smart enough to figure out which key to use and
    where to find it.  Closes: #161541
  * Make the test script include all the modules.
  * Use strict mode and enable Perl warnings for all modules and scripts.
  * Set the version of the debsigsmain module to the package's version.
  * Bump the version of all the other modules.
  * Add my copyright notice to the modules.
  * Add -h and -V options and syntax() and version() functions to
    all the executable scripts.  Closes: #175337, #175338
  * Fix a misspelled variable name in debsigs-autosign.
  * Document the signature types in the debsigs usage message and
    manual page, and refer to it from the debsigs-autosign ones.
    Closes: #457319
  * Make the binary package recommend debsig-verify.  Closes: #163643
  * Teach debsigs-signchanges to extract the key ID from the changes
    file if it is not specified in $DEBSIGSOPTIONS.  Closes: #98088
  * Rework debsigs-signchanges so it recalculates all types of checksums
    listed in the changes file, not just MD5 ones.
  * Add the fixup() function to the arf module to read an archive file
    and remove the trailing slashes in the member names.  Invoke that
    function in debsigs.  Closes: #161680

 -- Peter Pentchev <roam@ringlet.net>  Sat, 16 May 2009 18:27:40 +0300

debsigs (0.1.14) unstable; urgency=low

  * debsigs, debsigs-autosign: you can't use a module and run one of its
    methods at the same time; do these things separately (thanks, Joey Hess)
    (Closes: #161542)
  * debsigs: stop hard-coding the path to gpg (thanks, Joey Hess)
    (Closes: #161543)
  * debsigs: update $VERSION
  * debsigs: add FUTURE DIRECTIONS section to POD
  * debsigs-signchanges: only dig into @ARGV if it's defined (thanks, Joey
    Hess) (Closes: #161540)
  * debsigs-installer: wrote rudimentary manpage

  * debian/control:
    - bump Standards-Version to 3.5.7 (no changes needed)
    - add dependency on gnupg (Closes: #161544)

 -- Branden Robinson <branden@debian.org>  Thu, 19 Sep 2002 17:55:29 -0500

debsigs (0.1.13) unstable; urgency=low

  * debsigs, debsigs-autosign: when importing Getopt::Long, add
    "Configure('no_ignore_case')" because perl's default has changed.
    (thanks, Joey Hess)
  * debsigs: eliminate SIGCHLD handler because perl 5.8 won't let us use it
    anymore (thanks, Andrew Suffield)
  * forktools.pm: use WEXITSTATUS() instead of manual math to extract the exit
    status from a reaped child process (thanks, Andrew Suffield)
  * The above three changes rectify perl 5.8 issues.  (Closes: #155439)

 -- Branden Robinson <branden@debian.org>  Thu,  5 Sep 2002 12:54:15 -0500

debsigs (0.1.12) unstable; urgency=low

  * Wrote POD for debsigs-autosign and debsigs-signchanges (Closes: #97359)
  * debsign-autosign:
    - support command-line options and environment variables to specify secret
      keyring file and key IDs for archive, maintainer, and origin signatures
    - exapanded usage message
    - removed hard-coded key IDs and secret keyring file (Closes: #101998)
  * debsigs.txt: generated from debsigs.lyx
  * signing-policy.lyx: correct typos (thanks, Mark Eichin) (Closes: #130562)
  * signing-policy.txt: generated from signing-policy.lyx
  * debian/control:
    - moved to section "devel" from "non-US"
    - rewrote package description, fixing typo along the way (Closes: #145843)
  * debian/docs: ship documentation in ASCII format (Closes: #126313)

 -- Branden Robinson <branden@debian.org>  Sat, 25 May 2002 18:12:41 -0500

debsigs (0.1.11) unstable; urgency=low

  * new maintainer
  * debsigs:
    - got rid of unneeded duplicate definition of VERSION
    - consistently and correctly refer to debsig-verify(1) (Closes: #108344)
  * debsigsmain.pm: improved documentation stub...a little (Closes: #97357)
  * debian/README.Debian; removed silly template (Closes: #96495)
  * debian/control:
    - updated package description
    - added versioned Build-Depends-Indep on perl and debhelper per Perl
      Policy
    - bumped Standards-Version to 3.5.6
    - placed in section non-US
  * debian/docs: actually ship docs as part of package
  * debian/rules:
    - added call to dh_installchangelogs (Closes: #96598)
    - applied Brendan O'Dea's patches to bring this package up to date with
      modern Perl policy (Closes: #97757)

 -- Branden Robinson <branden@debian.org>  Sat, 22 Dec 2001 21:03:05 -0500

debsigs (0.1.10) unstable; urgency=low

  * s/qa/archive/

 -- John Goerzen <jgoerzen@fritz.progeny.com>  Wed, 27 Jun 2001 13:05:06 -0500

debsigs (0.1.9) unstable; urgency=low

  * Added debsigs-installer.

 -- John Goerzen <jgoerzen@progenylinux.com>  Wed, 30 May 2001 08:07:20 -0500

debsigs (0.1.8) unstable; urgency=low

  * Added a dependency on binutils.

 -- John Goerzen <jgoerzen@progenylinux.com>  Tue, 24 Apr 2001 13:44:43 -0500

debsigs (0.1.7) unstable; urgency=low

  * Added debsigs-autosign, which applies signatures en masse.

 -- John Goerzen <jgoerzen@progenylinux.com>  Tue, 17 Apr 2001 11:55:07 -0500

debsigs (0.1.6) unstable; urgency=low

  * Now passes --openpgp to GPG.
  * Now all signatures are made against debian-binary as well.

 -- John Goerzen <jgoerzen@progenylinux.com>  Fri, 30 Mar 2001 14:18:43 -0500

debsigs (0.1.5) unstable; urgency=low

  * Added debsigs-signchanges.

 -- John Goerzen <jgoerzen@progenylinux.com>  Wed, 21 Mar 2001 15:18:52 -0500

debsigs (0.1.4) unstable; urgency=low

  * Various bugfixes and enhancements.

 -- John Goerzen <jgoerzen@progenylinux.com>  Fri,  9 Mar 2001 10:26:15 -0500

debsigs (0.1.3) unstable; urgency=low

  * Initial upload.

 -- John Goerzen <jgoerzen@progenylinux.com>  Mon, 26 Feb 2001 17:16:17 -0500

debsigs (0.1.2) unstable; urgency=low

  * Rev with additional updates.

 -- John Goerzen <jgoerzen@progenylinux.com>  Tue,  9 Jan 2001 16:09:45 -0500

debsigs (0.1-1) unstable; urgency=low

  * Initial Release.

 -- John Goerzen <jgoerzen@progenylinux.com>  Wed,  6 Dec 2000 15:45:14 -0500
